import { request } from "@/utils/request";

/**
 * @列表数据请求
 */
export function getKnowledgeBaseList(param) {
  return request({
    url: "/KnowledgeBase/getKnowledgeBaseList",
    method: "GET",
    data: param,
  });
}

/**
 * @详情页数据请求
 */
export function getKnowledgeBaseDetails(param) {
  return request({
    url: "/KnowledgeBase/getKnowledgeBaseDetails",
    method: "GET",
    data: param,
  });
}

/**
 * @消息接收分类统计接口
 */
export function getMceReceiveStatic(param) {
  return request({
    url: "/system/mceReceive/mceReceiveStatic",
    method: "GET",
    data: param,
  });
}
/**
 * @消息列表接口
 */
export function getMceList(param) {
  return request({
    url: "/system/mceReceive/mceList",
    method: "GET",
    data: param,
  });
}
/**
 * @消息设置详情查询
 */
export function getMceSettingInfo(params) {
  return request({
    url: '/system/mceSetting/mceSettingInfo',
    method: 'get',
    data: params,
  })
}
/**
 * @消息设置详情查询
 */
export function updateMceReceiveStatus(params) {
  return request({
    url: '/system/mceReceive',
    method: 'put',
    data: params,
  })
}

/**
 * @消息设置接口
 * @新增
 * @修改
 */
export function addMceSetting(data) {
  return request({
    url: '/system/mceSetting/addMceSetting',
    method: 'post',
    data
  })
}